Subject: Re: Strange font behaviour with Cygwin
From: Mats Bengtsson <[email-masked]>
To: Patrick Hubers <[email-masked]>
Cc: LilyPond Users <[email-masked]>, Lilypond bug <[email-masked]>, [email-masked]
Date: Wed, 01 Sep 2004 11:10:42 +0200

The problem is that the package tetex-tiny, that is installed
when you install lilypond doesn't contain all the fonts that
are actually used in LilyPond. The solution for you is to
simply rerun setup.exe and select the package called tetex-base,
which contains a complete set of font files.

I don't really know why this problem has persisted for such long
time. The solution is either to add some more font files to
tetex-tiny or let lilypond depend on tetex-base instead.

    /Mats

Patrick Hubers wrote:
> Hi,
> 
> First of all, thanks for a wonderful piece of software. I've been using 
> LilyPond for about a year now and although I still cannot do some things 
> as easy as I could with Finale (which I've been using for 10+ years), I 
> think LilyPond is great and getting better with each new version!
> 
> However, I found some strange behaviour regarding fonts: when I compile 
> a .ly file with the Cygwin version, some of the fonts (notably the bar 
> numbers en lyrics) are missing and substituted with Courier. This 
> happens with two separate Cygwin/LilyPond installations on different 
> machines, both of which are running Windows 2000. The same file works 
> perfectly on my Fedora Core 2 machine. However, if I specifically 
> \override the fonts and specify, for example, to use "cmr08" for the bar 
> numbers (which is, apparently, the same font that cannot be found 
> normally), the font *can* be found and is present in the resulting .ps 
> and .pdf output. Also note that all title fonts are present without 
> having to \override them...
> 
> This has been happening at least since version 2.2.0, I'm currently 
> running 2.2.5 on both Cygwin and Fedora.
> 
> I'm stumped, actually, and I'm wondering if anybody here can shed some 
> light on this strange problem?
> 
> TIA.
> 

-- 
=============================================
	Mats Bengtsson
	Signal Processing
	Signals, Sensors and Systems
	Royal Institute of Technology
	SE-100 44  STOCKHOLM
	Sweden
	Phone: (+46) 8 790 8463				
         Fax:   (+46) 8 790 7260
	Email: [email-masked]
	WWW: http://www.s3.kth.se/~mabe
=============================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/